﻿namespace Model;

public interface IDataManager
{
    List<CustomTitle> GetCustomTitles();

    List<InfoTitle> GetInfoTitles();

    List<Album> GetAlbums();

    List<Artist> GetArtists();

    List<Playlist> GetPlaylists();

    CustomTitle? GetCustomTitleByUrl(string custom);

    void AddAlbum(Album album);

    void AddArtist(Artist artist);

    void AddPlaylist(Playlist playlist);

    void AddCustomTitle(CustomTitle title);

    void AddInfoTitle(InfoTitle title);

    void RemoveAlbum(Album album);

    void RemoveArtist(Artist artist);

    void RemovePlaylist(Playlist playlist);

    void RemoveCustomTitle(CustomTitle title);

    void RemoveInfoTitle(InfoTitle title);

    void LoadSerialization();

    void SaveSerialization();

}